#ifndef __FFT_H
#define __FFT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

class FFT
{
	public:
		FFT(int fftSize);
		~FFT();
		
		void setAudioData(int16_t *data);
		void getFFT(int *out);
	private:
		float *real;
		float *imaginary;
		
		int dataSize;
};

#ifdef __cplusplus
}
#endif

#endif


